Validation Services
Name
Validate personal names, sole proprietorships, company names, co-holder names, and family surnames, and return normalized and structured output.
Headers & authentication
Required request headers and their expected values.
| Field | Type | Description |
|---|---|---|
tokenreq | String | Authentication token sent in the |
Request
Country context and person or company name string to validate.
| Field | Type | Description |
|---|---|---|
parreq | Object | Country context for name analysis and validation. |
iso2 | String | Country code, ISO 3166-1 alpha-2. One of |
iso3 | String | Country code, ISO 3166-1 alpha-3. One of |
datareq | Object | Input data to validate |
namereq | Object | |
type_ana | String | Name analysis type |
gender | String | Gender |
full_name | String | Full name |
mid_name | String | Middle name |
first_name | String | First name |
title | String | Title |
name_des | String | Name description |
birth_date | String | Date of birth |
birth_province | String | Province of birth |
birth_place | String | Place of birth |
Response
Structured name components, recognized gender, separated title/surname/name, and quality indicators.
| Field | Type | Description |
|---|---|---|
data | Object | Normalized and enriched validation output data |
name | Object | Parsed, validated, and normalized personal name details |
type_ana | String | Customer data type |
gender | String | Gender |
full_name | String | Validated full name |
last_name | String | Separate surname |
mid_name | String | Middle name |
first_name | String | Separate name |
prename | String | Name suffix (e.g. Junior/Senior) |
title | String | Academic or professional title |
firm_type | String | Official juridical specification (e.g. S.R.L., S.P.A.) |
birth_date | String | Date of birth in YYYYMMDD format |
birth_country | String | Country of birth |
birth_province | String | Province of birth |
birth_place | String | City of birth |
name_des | String | Name designator |
status | String | Status |
quality | Object | Validation quality indicators and score flags |
name | Object | Quality indicators for personal name parsing and demographic verification |
person | Object | Quality indicator result (see https://documentation.egon.com/docs/quality-indicators) |
flag | String | Quality flag |
code | Number | Quality result code |
description | String | Quality result description |
birth_date | Object | Quality indicator result (see https://documentation.egon.com/docs/quality-indicators) |
flag | String | Quality flag |
code | Number | Quality result code |
description | String | Quality result description |
birth_place | Object | Quality indicator result (see https://documentation.egon.com/docs/quality-indicators) |
flag | String | Quality flag |
code | Number | Quality result code |
description | String | Quality result description |
system | Object | Request processing status. |
ret_code | Number | Processing result code. 0 means no blocking error. |
des_ret_code | String | Human-readable processing result. |
curl -X POST "https://{host}:{port}/Egon/api/norm" \
-H "token: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"par": {
"iso3": "ITA"
},
"data": {
"name": {
"full_name": "Dottor Mario Rossi"
}
}
}'